Skip to main content
PATCH
Update a location

Authorizations

Authorization
string
header
required

Bearer API key from Settings → API Keys. Use restricted keys (prefix retrac_) with the minimum scopes required.

Path Parameters

id
string
required

The location ID.

Query Parameters

workspaceId
string
required

The ID of the workspace.

Example:

"ws_cluuwcv0r..."

projectSlug
string
deprecated

The slug of the project. This field is deprecated – use workspaceId instead.

Body

application/json
name
string
Required string length: 1 - 64
type
enum<string>
Available options:
warehouse,
van,
truck,
site,
other
icon
enum<string> | null

Semantic icon key for this location. Null uses the default icon for the location type.

Available options:
warehouse,
storefront,
office,
garage,
job_site,
van,
truck,
container,
shelves,
tools,
home,
map_pin,
null
note
string | null
Maximum string length: 500
active
boolean
accessLevel
enum<string> | null

The access level of the location within the workspace.

Available options:
read,
write,
null
latitude
number | null
Required range: -90 <= x <= 90
longitude
number | null
Required range: -180 <= x <= 180
geofenceRadiusM
integer | null
Required range: 25 <= x <= 10000

Response

The updated location

id
string
required
name
string
required
type
enum<string>
required
Available options:
warehouse,
van,
truck,
site,
other
active
boolean
required
createdAt
string
required
icon
enum<string> | null

Semantic icon key for this location. Null uses the default icon for the location type.

Available options:
warehouse,
storefront,
office,
garage,
job_site,
van,
truck,
container,
shelves,
tools,
home,
map_pin,
null
note
string | null
latitude
number | null
longitude
number | null
geofenceRadiusM
number | null